AnsweredAssumed Answered

Error when Activiti work in Equinox Osgi container

Question asked by weiping on Nov 4, 2011
Hi, did anyone meet the problem when trying to make Activiti work in Osgi container (I use Equinox)?
I find the bundle org.activiti.engine_5.8.0 cannot be resolved. The error message shows when resolving this bundle:

update@plugins/activiti-engine-5.8.jar [22]
  Direct constraints which are unresolved:
    Missing imported package com.fasterxml.uuid_[3.1.0,4.0.0).
    Missing imported package com.fasterxml.uuid.impl_[3.1.0,4.0.0).
    Missing imported package javax.script_0.0.0.
    Missing optionally imported package junit.framework_0.0.0.
    Missing optionally imported package org.activiti.osgi*_0.0.0.
    Missing optionally imported package org.apache.tools.ant_0.0.0.
    Missing optionally imported package org.apache.tools.ant.types_0.0.0.
    Missing imported package org.drools_[5.1.0,6.0.0).
    Missing imported package org.drools.builder_[5.1.0,6.0.0).
    Missing imported package org.drools.definition.rule_[5.1.0,6.0.0).
    Missing imported package org.drools.io_[5.1.0,6.0.0).
    Missing imported package org.drools.runtime_[5.1.0,6.0.0).
    Missing imported package org.drools.runtime.rule_[5.1.0,6.0.0).
    Missing optionally imported package org.junit_0.0.0.
    Missing optionally imported package org.junit.rules_0.0.0.
    Missing optionally imported package org.junit.runners.model_0.0.0.

Can anyone suggest how to make it work?

Thanks!

Outcomes